/*
 * Код функции bool Blink()
 * Эта функция является простой мигалкой без delay
 */
 
bool State = LOW; // переменная в которой храниться состояние светодиода
unsigned long previousMillis = 0; // предидущая секунда
unsigned long currentMillis = 0;  // текущая секунда
int interval = 1000;              // интервал в милесекундах

bool Blink() // Код для мигалки светодиода
{
  // Переменные используемые в функции
  
  

  // присваеваем переменной Текущя секунда (currentMillis)
  // текущую секунду с начала старта работы контроллера 
  // при помощи функции mills()
  currentMillis = millis();        
  
  // проверяем условие текущая секунда минус предидущия 
  // больше либо равно интервалу
  if(currentMillis - previousMillis >= interval) {     
    previousMillis = currentMillis;  // присваеваем предидущей секунде значение текущей 
    if (State == LOW) // если светодиод выключен
    {State = HIGH;
    Serial.println("HIGH");}   // то включаем его
    else              // иначе
    {State = LOW;
    Serial.println("LOW");}    // выключаем его 
    
  }
  return State;
}

