/*****************************************************************************
 * 
 * Автор: Обушенков Алексей Андреевич    
 * Группа в ВК https://vk.com/engineer24
 * Канал на YouTube https://www.youtube.com/channel/UCih0Gcl9IEdkR8deDJCiodg
 * Инженерка Engineering room
 * 
 ***************************************************************************** 
 * 
 * Учимся работать с пинами ESP8266
 * ESP-12E Module
 * Ссылка на распиновку платы https://vk.com/photo-114462096_456239066
 * 
 */

// Это не библиотека это вкладка где лежит функция bool Blink()
#include "Blink.h"
// Это не библиотека это вкладка где лежит функция void Switch()
#include "Switch.h"

#define LED D4 // GPIO 16 соответствует физическому пину D0
#define Button 14 // GPIO 14 соответствует физическому пину D5
#define Relay 13 // GPIO 13 соответствует физическому пину D7



void setup() {
  Serial.begin(115200);
  pinMode(LED, OUTPUT);           // Пин LED явно назначаем как выход
  pinMode(Relay, OUTPUT);         // Пин Relay явно назначаем как выход

  // Пин Button явно назначаем как вход (INPUT) 
  // и подтягиваем его к плюсу (INPUT_PULLUP) для увелечения стабильности состоянию кнопки 
  pinMode(Button, INPUT_PULLUP);  
}



void loop()
{
 digitalWrite(LED, Blink());              // Выводим состояние в цифровой пин 
 
 // считываем значение с кнопки и инвертируем его при помощи !
 // это нужно для упрощение логики, так как цифровой пин у нас инвертирован,
 // для того что бы добавить аппаратной стабильности состоянию кнопки
 buttonStatus = !digitalRead(Button);     
 
 Switch();                                // Вычесляем состояние реле ф функции
 digitalWrite(Relay, SwitchStatus);         // Выводим состояние в цифровой пин          
}


