/*
 * Это функция void Switch()
 * она нужна для оброботки сигнала с тактовой кнопки
 * защита от дребизга контактов
 * и переключения режимов реле (On/Off)
 */




// переменные нужные для функции

// Состояниие Переключателя грубо говоря что на выходе функции
// переменная в которой хранится состояние реле
// состояние реле обновляется в функции Switch
bool SwitchStatus = LOW; 

int buttonStatus = LOW; // Статус кнопки нажата или нет
int buttonPress = LOW;  // Кнопка нажата
unsigned long lastPressTime;  // Последнее время нажатия кнопки




void Switch()//Выключатель
{

    // здесь происходит проверка (защита от долгого нажатия кнопки)
    // действие, произойдет только если до этого кнопка не была нажата
    // Если кнопка нажата, то меняем статус
    if (buttonStatus == HIGH && buttonPress == LOW && millis() - lastPressTime > 50)
    { buttonPress = HIGH;
      SwitchStatus = !SwitchStatus;
      lastPressTime = millis();
      
      if (SwitchStatus)
      {Serial.println("Switch ON");}
      else
      {Serial.println("Switch OFF");}
    }
 
   if (buttonStatus == LOW && buttonPress == HIGH && millis() - lastPressTime > 50)
   {buttonPress = LOW;}

   
}   
